CamBam
News:
 
*
Welcome, Guest. Please login or register.
Did you miss your activation email?
August 22, 2017, 08:05:31 am


Login with username, password and session length


Pages: [1]
  Print  
Author Topic: Warning messages with Plugins and CamBam v1.0  (Read 1567 times)
EddyCurrent
CNC Jedi
*****
Offline Offline

Posts: 3037



View Profile
« on: December 23, 2016, 10:39:41 am »

Note: You may require, Tool->Options->Diagnostic Level = 4 in order to see these errors
I've not tried other settings because I always have mine set to 4.

If you get warning messages like the ones in the attached picture, this can fix it.

The first thing I have to say is, these errors are to do with security of your computer so if you use the following information that is YOUR choice.


1. move the dll file of any affected plugin to a folder where file privileges are granted.
I tried this on my sytem with the dll still in CamBam's Plugins folder and it would not work, I moved the file to another drive first.
2. right click the dll file and select Properites
3. on the General tab, you will see at the bottom a button called 'Unblock', click that then 'Apply', then 'OK'

The file should now load okay.


* Image2.jpg (132.78 KB, 1710x186 - viewed 126 times.)

* Image5.jpg (20.14 KB, 356x220 - viewed 153 times.)
« Last Edit: December 23, 2016, 15:39:16 pm by EddyCurrent » Logged
michel
Storm Trooper
***
Offline Offline

Posts: 211



View Profile WWW
« Reply #1 on: December 23, 2016, 14:52:48 pm »

Hi Eddy

thanks . It is working now . I only have a few logs left. What is this ?



* CamBam+log.jpg (66.94 KB, 1105x119 - viewed 163 times.)
Logged
EddyCurrent
CNC Jedi
*****
Offline Offline

Posts: 3037



View Profile
« Reply #2 on: December 23, 2016, 14:55:00 pm »

Those should not be in the plugins folder, only in the main CamBam folder, you should move or delete them
Logged
michel
Storm Trooper
***
Offline Offline

Posts: 211



View Profile WWW
« Reply #3 on: December 23, 2016, 20:54:58 pm »

Hi Eddy

i copied those from the folder of my 0.9.8 version . Should i delete them there too ? What function do they have ?


michel
Logged
lloydsp
CNC Jedi
*****
Offline Offline

Posts: 7020



View Profile
« Reply #4 on: December 23, 2016, 20:58:06 pm »

Michel,
0.9.8 and 1.0 run independently.  DO NOT destroy ANYTHING in your 9.8 directories.

You should read the entirety of 10bulls's descriptions in the announcements.

Lloyd
Logged

"Pyro for Fun and Profit for More Than Fifty Years"
michel
Storm Trooper
***
Offline Offline

Posts: 211



View Profile WWW
« Reply #5 on: December 23, 2016, 21:06:05 pm »

Hi Lloyd

i do not touch the 0.9.8  ( to precious for me)  Wink

I removed the files in version 1.0 and now i get no error messages any longer.

I runned several gcodes and it seems to work fine for me.




michel



Logged
lloydsp
CNC Jedi
*****
Offline Offline

Posts: 7020



View Profile
« Reply #6 on: December 23, 2016, 21:09:32 pm »

"...i copied those from the folder of my 0.9.8 version . Should i delete them there too ?"
-------
Michel,
I understood the statement and question above to mean "delete them from 9.8".  I imagine it's a "language difficulty" (as we've had often!  Cheesy)

Lloyd
Logged

"Pyro for Fun and Profit for More Than Fifty Years"
dh42
Administrator
CNC Jedi
*****
Offline Offline

Posts: 4565



View Profile WWW
« Reply #7 on: December 23, 2016, 23:21:11 pm »

Hello

Quote
thanks . It is working now . I only have a few logs left. What is this ?

The pb is the same with 1.0 when updating than with 0.9.8 ; sometimes ironpython.dll and some other dll are not updated when CB is installed so you get an error message because the dll are not of the right version ; to solve that, delete all but the 2 folder and the license file in the cambam install folder (for the 1.0 off course), then reinstall (repair) cambam.

http://www.cambam.co.uk/forum/index.php?topic=5121.msg40528#msg40528

all the dll on your image must not be in the plugin folder ; they are not plugins Wink

++
David
« Last Edit: December 23, 2016, 23:22:45 pm by dh42 » Logged
joebmh
CNC Ewok
*
Offline Offline

Posts: 7


View Profile
« Reply #8 on: January 25, 2017, 17:12:35 pm »

If you get warning messages like the ones in the attached picture, this can fix it.
Thank you Eddie! I would've saved myself a couple hours if I had read this post first. I think it would be good to put this notice next to the download link for ver1.0

Thanks
Joe
Logged
jorgemarmo
CNC Ewok
*
Offline Offline

Posts: 8


View Profile
« Reply #9 on: March 18, 2017, 14:22:33 pm »

Hi David!

thank you! That indeed "solved" my problem for the 1.0 version but not completely... I finally find the problem and I'll share it here, it might be useful for someone else.

After changing the "permissions" on the 1.0 plugin folder, the errors on the console went away, but still I wasn't able to see NumericalMove window... and the 0.98 dll file wasn't "blocked".

My problem was a second screen! it is a laptop with an external screen and even tough the second screen was disabled (not just turned off), the NumericalMove windows was being created on the disabled screen, most likely were I used it for the last time. So basically I solved my problem on the 0.98 by enabling the laptop screen, dragging the NumMove to the the external screen  and disabling again the laptop screen.

Sorry for the dummy problem. And thank you all for your help!
Logged
dh42
Administrator
CNC Jedi
*****
Offline Offline

Posts: 4565



View Profile WWW
« Reply #10 on: March 18, 2017, 14:43:30 pm »

Trick about resetting the saved data for numove or others plugins

http://www.cambam.co.uk/forum/index.php?topic=2815.msg51877#msg51877

++
David
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines

Valid XHTML 1.0! Valid CSS! Dilber MC Theme by HarzeM
Page created in 0.141 seconds with 19 queries.

Copyright © 2008 HexRay Ltd. | Sitemap